﻿/*
	StyleBundle:	"~/Res/Theme" order #7
	Description:	Customize Devexpress for application.
*/

.dxpnlControl_MaterialGreen > .form-header-title {
	font-size: 120% !important;
	margin-top: .3em;
}

.dxeBase_MaterialGreen .dxichCellSys, .dxeBase_MaterialGreen.dxichCellSys {
	padding: 8px 3px 4px;
}

.dxgvTable_MaterialGreen,
.dxgvControl_MaterialGreen .dxgvCSD {
	box-shadow: none;
	border-radius: 0;
}

.dxgvPagerBottomPanel_MaterialGreen {
	box-shadow: none;
}

.dxbButtonSys {
	border-radius: 4px;
}

.dxtcLite_MaterialGreen > .dxtc-content {
	overflow: unset;
}

.dxeListBox_MaterialGreen {
	width: auto;
}

.dxpnlControl_MaterialGreen {
	font: inherit !important
}

span.dxeBase_MaterialGreen {
	border-radius: 2px;
	padding: 7px 8px 6px 5px;
	display: inline-block;
}

span.dxp-comboBox input {
    width: 55px;
}

.dxbButton_MaterialGreen[class~="dxgvCommandColumnItem_MaterialGreen"], .dxgvEditFormTable_MaterialGreen div.dxbButton_MaterialGreen {
    margin-left: 3px;
    margin-right: 3px;
}
/*********************************************************************************
	DX-GV Header Row
*********************************************************************************/

.dxgv caption {
	caption-side: inherit;
}


/*********************************************************************************
	DX-GV Focused Row
*********************************************************************************/

.dxgvFocusedRow_MaterialGreen .dxWeb_edtCheckBoxChecked_MaterialGreen {
	background-position: 0px -151px;
}

.dxgvFocusedRow_MaterialGreen .dxWeb_edtCheckBoxUnchecked_MaterialGreen {
	background-position: -57px -151px;
}

.dxgvFocusedRow_MaterialGreen .dxGridView_gvShowAdaptiveDetailButton_MaterialGreen {
	background-position: -153px -152px;
}


/*********************************************************************************
	DX-GV Selected Row
*********************************************************************************/
.dxgvControl_MaterialGreen .dxgvTable_MaterialGreen .dxgvSelectedRow_MaterialGreen,
.dxgvControl_MaterialGreen .dxgvTable_MaterialGreen .dxgvSelectedRow_MaterialGreen.dxgvDataRowHover_MaterialGreen {
	background-color: palegoldenrod;
}

/*.dxgvControl_MaterialGreen .dxgvTable_MaterialGreen .dxgvFocusedRow_MaterialGreen .dxWeb_edtCheckBoxChecked_MaterialGreen,
    .dxgvControl_MaterialGreen .dxgvTable_MaterialGreen .dxgvFocusedRow_MaterialGreen.dxgvDataRowHover_MaterialGreen .dxWeb_edtCheckBoxChecked_MaterialGreen {
        background-color: navy;
    }*/


/*********************************************************************************
	DX-GV Search Row
*********************************************************************************/

.dxgvSearchPanel_MaterialGreen {
	padding: 5px 0;
}

	.dxgvSearchPanel_MaterialGreen .dxeButtonEdit_MaterialGreen {
		box-shadow: none;
	}

		.dxgvSearchPanel_MaterialGreen .dxeButtonEdit_MaterialGreen td.dxic {
			padding: 10px 8px;
		}

.dxtcLite_MaterialGreen.dxtc-top > .dxtc-stripContainer .dxtc-tab,
.dxtcLite_MaterialGreen.dxtc-top > .dxtc-stripContainer .dxtc-spacer,
.dxtcLite_MaterialGreen.dxtc-top > .dxtc-stripContainer .dxtc-sbWrapper,
.dxtcLite_MaterialGreen.dxtc-top > .dxtc-stripContainer .dxtc-sbIndent,
.dxtcLite_MaterialGreen.dxtc-top > .dxtc-stripContainer .dxtc-sbSpacer {
    border-bottom: 3px solid #50d353;
}

.dxtcLite_MaterialGreen > .dxtc-stripContainer .dxtc-tab a:hover {
    color: #59d350;
}

.dxeListBoxFilter_MaterialGreen {
    padding: 2px;
    background-color: inherit;
}
.dxpcLite_MaterialGreen .dxpc-header, .dxdpLite_MaterialGreen .dxpc-header {
    padding: 10px 10px 8px 12px;
}
.dxeEditArea_MaterialGreen,
body input.dxeEditArea_MaterialGreen,
.dxtcLite_MaterialGreen {
    color: black;
}
.dxeListBox_MaterialGreen td.dxeT {
    padding-left: 40px !important;
}